<template>
  <div>
    <slot name="header" />
    <table
      id="submission-table"
      class="submission-table elevation-1"
      :class="{latex: isMarkdown}"
    >
      <slot name="table-content" />
    </table>
    <slot name="labels" />
    <slot name="footer" />
  </div>
</template>

<script>
import { SubmissionNotes } from '@/store/modules/submission-notes'
import store from '@/store/store'
import { SubmissionType } from '@/models'
export default {
  name: 'BaseAnnotatedSubmission',
  computed: {
    isMarkdown () {
      const typePk = SubmissionNotes.state.submission.type
      const type = store.state.submissionTypes[typePk]
      return type && type.programmingLanguage === SubmissionType.ProgrammingLanguageEnum.Markdown
    }
  }
}
</script>

<style scoped>
  .submission-table {
    table-layout: fixed;
    border-collapse: collapse;
    width: 100%;
  }
</style>
